package javax.rmi.CORBA;

import org.omg.CORBA.ORB;
import java.rmi.NoSuchObjectException;
import java.rmi.Remote;
import org.omg.CORBA.portable.InputStream;
import org.omg.CORBA.portable.OutputStream;
import java.rmi.RemoteException;
import org.omg.CORBA.SystemException;

public interface UtilDelegate
{
    public abstract RemoteException mapSystemException(SystemException p0);
    
    public abstract void writeAny(OutputStream p0, Object p1);
    
    public abstract Object readAny(InputStream p0);
    
    public abstract void writeRemoteObject(OutputStream p0, Object p1);
    
    public abstract void writeAbstractObject(OutputStream p0, Object p1);
    
    public abstract void registerTarget(Tie p0, Remote p1);
    
    public abstract void unexportObject(Remote p0) throws NoSuchObjectException;
    
    public abstract Tie getTie(Remote p0);
    
    public abstract ValueHandler createValueHandler();
    
    public abstract String getCodebase(Class p0);
    
    public abstract Class loadClass(String p0, String p1, ClassLoader p2) throws ClassNotFoundException;
    
    public abstract boolean isLocal(Stub p0) throws RemoteException;
    
    public abstract RemoteException wrapException(Throwable p0);
    
    public abstract Object copyObject(Object p0, ORB p1) throws RemoteException;
    
    public abstract Object[] copyObjects(Object[] p0, ORB p1) throws RemoteException;
}
